ModernLoop Internal API
Apifirecrawl

Search the web and return relevant results

Read operation: does not mutate upstream state.

curl -X POST "https://api.modernloop.dev/rest/v1/firecrawl/search" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{  "web": [    {      "url": "string",      "title": "string",      "description": "string",      "markdown": "string"    }  ],  "news": [    {      "url": "string",      "title": "string",      "description": "string",      "markdown": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

query*string

The search query

Length1 <= length
limit?integer

Maximum number of results (default: 5)

Range1 <= value <= 100
sources?array<>

Result sources to search (default: ["web"])

scrapeOptions?

When set, each result is scraped and returned with content

Response Body

application/json

application/json

application/json

application/json

application/json